Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IDestiny3DFactory Class Reference

`#include <Destiny3D.hpp>`

Inheritance diagram for IDestiny3DFactory:

[legend]
List of all members.

## Public Member Functions
virtual void | ShutDown ()=0
virtual long | GetIdeBitmapRscInterfaceID ()=0
virtual long | GetIdeBitmapProxyWOInterfaceID ()=0
virtual long | GetIdeAnimatedMeshRscInterfaceID ()=0
virtual long | GetIdeSurfaceWOInterfaceID ()=0
virtual long | GetIdeRenderStateWOInterfaceID ()=0
virtual long | GetIdeSceneRoomWOInterfaceID ()=0
virtual long | GetIdeSceneObjectWOInterfaceID ()=0
virtual long | GetIdeMeshWOInterfaceID ()=0
virtual IdeResourceManager * | GetIdeResourceManager ()=0
virtual IdeRender * | GetIdeRender ()=0
virtual IdeSceneGraph * | GetIdeSceneGraph ()=0
virtual IdeWorldManager * | GetIdeWorldManager ()=0
virtual IdeThreadPool * | GetIdeThreadPool (u32 minThreadCount)=0
virtual Ide2DCollection * | CreateIde2DCollection ()=0
virtual IdeFont * | CreateIdeFont ()=0
virtual IdeBitmap * | CreateIdeBitmap ()=0
virtual IdeBitmap * | CreateIdeBitmapWithInfo (s32 Width, s32 Height, IdeDriver::BPP Format, deBoolean CubeMap=(DE_FALSE))=0
virtual IdeBitmapProxy * | CreateIdeBitmapProxy (IdeResourceBase *FromBitmap=(0))=0
virtual IdeMesh * | CreateIdeMesh ()=0
virtual IdeDriverLoad * | CreateIdeDriverLoad (char const *path)=0
virtual IdeVertexBuffer * | CreateIdeVertexBuffer ()=0
virtual IdeSurface * | CreateIdeSurface ()=0
virtual IdeRenderTexture * | CreateIdeRenderTexture ()=0
virtual IdeRenderMaterial * | CreateIdeRenderMaterial ()=0
virtual IdeRenderLight * | CreateIdeRenderLight ()=0
virtual IdeFileMemory * | CreateIdeFileMemory ()=0
virtual IdeFilePlugin * | CreateIdeFilePlugin ()=0
virtual IdeFSReal * | CreateIdeFSReal ()=0
virtual IdeFSVirtual * | CreateIdeFSVirtual ()=0
virtual IdePluginTwofish * | CreateIdePluginTwofish ()=0
virtual IdePluginRijndael * | CreateIdePluginRijndael ()=0
virtual IdePluginZLib * | CreateIdePluginZLib ()=0
virtual IdePluginSHA1 * | CreateIdePluginSHA1 ()=0
virtual IdeCamera * | CreateIdeCamera ()=0
virtual IdePlaneFrustum * | CreateIdePlaneFrustum ()=0
virtual IdePortal * | CreateIdePortal ()=0
virtual IdeCollision * | CreateIdeCollision ()=0
virtual IdeSceneRoom * | CreateIdeSceneRoom ()=0
virtual IdeSceneABT * | CreateIdeSceneABT ()=0
virtual IdeSceneActor * | CreateIdeSceneActor ()=0
virtual IdeSceneSky * | CreateIdeSceneSky ()=0
virtual IdeSceneStaticMesh * | CreateIdeSceneStaticMesh ()=0
virtual IdeSceneTerrain * | CreateIdeSceneTerrain ()=0
virtual IdeSceneLight * | CreateIdeSceneLight ()=0
virtual IdeThread * | CreateIdeThread (IdeThread::ThreadProc threadProc)=0
virtual IdeThreadLock * | CreateIdeThreadLock (u32 spinCount=1024)=0
## Protected Member Functions
virtual | ~IDestiny3DFactory ()

## Constructor & Destructor Documentation

virtual IDestiny3DFactory::~IDestiny3DFactory | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual Ide2DCollection* IDestiny3DFactory::CreateIde2DCollection | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeBitmap* IDestiny3DFactory::CreateIdeBitmap | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeBitmapProxy* IDestiny3DFactory::CreateIdeBitmapProxy | ( | IdeResourceBase * | FromBitmap = (0) | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeBitmap* IDestiny3DFactory::CreateIdeBitmapWithInfo | ( | s32 | Width,
|  | s32 | Height,
|  | IdeDriver::BPP | Format,
|  | deBoolean | CubeMap = (DE_FALSE)
| ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeCamera* IDestiny3DFactory::CreateIdeCamera | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeCollision* IDestiny3DFactory::CreateIdeCollision | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeDriverLoad* IDestiny3DFactory::CreateIdeDriverLoad | ( | char const * | path | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeFileMemory* IDestiny3DFactory::CreateIdeFileMemory | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeFilePlugin* IDestiny3DFactory::CreateIdeFilePlugin | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeFont* IDestiny3DFactory::CreateIdeFont | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeFSReal* IDestiny3DFactory::CreateIdeFSReal | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeFSVirtual* IDestiny3DFactory::CreateIdeFSVirtual | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeMesh* IDestiny3DFactory::CreateIdeMesh | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdePlaneFrustum* IDestiny3DFactory::CreateIdePlaneFrustum | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdePluginRijndael* IDestiny3DFactory::CreateIdePluginRijndael | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdePluginSHA1* IDestiny3DFactory::CreateIdePluginSHA1 | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdePluginTwofish* IDestiny3DFactory::CreateIdePluginTwofish | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdePluginZLib* IDestiny3DFactory::CreateIdePluginZLib | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdePortal* IDestiny3DFactory::CreateIdePortal | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeRenderLight* IDestiny3DFactory::CreateIdeRenderLight | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeRenderMaterial* IDestiny3DFactory::CreateIdeRenderMaterial | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeRenderTexture* IDestiny3DFactory::CreateIdeRenderTexture | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneABT* IDestiny3DFactory::CreateIdeSceneABT | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneActor* IDestiny3DFactory::CreateIdeSceneActor | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneLight* IDestiny3DFactory::CreateIdeSceneLight | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneRoom* IDestiny3DFactory::CreateIdeSceneRoom | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneSky* IDestiny3DFactory::CreateIdeSceneSky | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneStaticMesh* IDestiny3DFactory::CreateIdeSceneStaticMesh | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneTerrain* IDestiny3DFactory::CreateIdeSceneTerrain | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSurface* IDestiny3DFactory::CreateIdeSurface | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeThread* IDestiny3DFactory::CreateIdeThread | ( | IdeThread::ThreadProc | threadProc | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeThreadLock* IDestiny3DFactory::CreateIdeThreadLock | ( | u32 | spinCount = 1024 | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeVertexBuffer* IDestiny3DFactory::CreateIdeVertexBuffer | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeAnimatedMeshRscInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeBitmapProxyWOInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeBitmapRscInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeMeshWOInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeRender* IDestiny3DFactory::GetIdeRender | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeRenderStateWOInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeResourceManager* IDestiny3DFactory::GetIdeResourceManager | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeSceneGraph* IDestiny3DFactory::GetIdeSceneGraph | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeSceneObjectWOInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeSceneRoomWOInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual long IDestiny3DFactory::GetIdeSurfaceWOInterfaceID | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeThreadPool* IDestiny3DFactory::GetIdeThreadPool | ( | u32 | minThreadCount | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual IdeWorldManager* IDestiny3DFactory::GetIdeWorldManager | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

virtual void IDestiny3DFactory::ShutDown | ( |  | ) | `[pure virtual]`

| Implemented in Destiny3DFactory.

The documentation for this class was generated from the following file:

- Destiny3D.hpp